org.eclipse.microprofile.context.tck.contexts.buffer.spi

## Class BufferContextRestorer

- java.lang.Object
- - org.eclipse.microprofile.context.tck.contexts.buffer.spi.BufferContextRestorer

All Implemented Interfaces:
  ThreadContextController

    public class BufferContextRestorer
    extends Object
    implements ThreadContextController

Restores a buffer context that was saved upon creation.

### Constructor Summary

Constructors
Constructor and Description
`BufferContextRestorer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `endContext()` Restore the buffer context that was saved upon construction of this instance.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BufferContextRestorer

    public BufferContextRestorer()

### Method Detail

#### endContext

    public void endContext()

Restore the buffer context that was saved upon construction of this instance.

Specified by:
  `endContext` in interface `ThreadContextController`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`